- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Xapian::DocNotFoundError Class Reference

Indicates an attempt to access a document not present in the database. More...

Inheritance diagram for Xapian::DocNotFoundError:
[legend]

## Public Member Functions
| DocNotFoundError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor. More...
| DocNotFoundError (const std::string &msg_, int errno_)
| Construct from message and errno value. More...
Public Member Functions inherited from Xapian::Error
const char * | get_type () const
| The type of this error (e.g. "DocNotFoundError".)
const std::string & | get_msg () const
| Message giving details of the error, intended for human consumption.
const std::string & | get_context () const
| Optional context information. More...
const char * | get_error_string () const
| Returns any system error string associated with this exception. More...
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Indicates an attempt to access a document not present in the database.

## Constructor & Destructor Documentation

Xapian::DocNotFoundError::DocNotFoundError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0`
| ) |  |
| inline explicit

General purpose constructor.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  context_ | Optional context information for this error.
  errno_ | Optional errno value associated with this error.

Xapian::DocNotFoundError::DocNotFoundError | ( | const std::string & | msg_,
|  | int | errno_
| ) |  |
| inline

Construct from message and errno value.

Parameters

  msg_ | Message giving details of the error, intended for human consumption.
  errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h